summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-12-21 10:29:25 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-12-21 10:29:25 +0000
commit0e78126f356660a7cbc5e174d2da11779408db45 (patch)
tree611426bde7c026f0fb41048f30b53e57a2a89f06 /jenkins
parent02ca4fb28e98b3437bfc2bb1fb521324ec97acc6 (diff)
onsuccess: #770: 0: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | -3 | # build_abe glibc -- --disable install: | -2 | # build_abe dejagnu: | -1 | # build_abe check_glibc -- --disable install: | 0 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log397
-rw-r--r--jenkins/notify-init.log95
-rw-r--r--jenkins/run-build.env8
4 files changed, 119 insertions, 383 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 4ae5a8f..15d4ad0 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#769-glibc-R0
+#770-glibc-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 102cfcd..459671a 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -10,8 +10,8 @@
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
+ setup_notify_environment
-# setup_notify_environment
+ echo '# setup_notify_environment'
+# setup_notify_environment
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_project]}'
@@ -20,25 +20,25 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+# Debug traces :
+ ci_config=master-arm
+ echo '# Debug traces :'
-# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/768/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/768/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/'
+ echo '# Using dir : base-artifacts'
# Using dir : base-artifacts
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/'
+ echo '# Using dir : artifacts'
-+ echo ''
++ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
@@ -77,79 +77,18 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x61bac1a9d2ab80ebcbc51484722e6ea43414bec7 '!=' x980450f12685326729d63ff72e93a996113bf073 ']'
-++ echo -ne glibc
-++ delim=' '
+++ '[' x61bac1a9d2ab80ebcbc51484722e6ea43414bec7 '!=' x61bac1a9d2ab80ebcbc51484722e6ea43414bec7 ']'
++ echo
+ local c base_rev cur_rev c_commits
-+ '[' 1 = 0 ']'
-+ '[' 1 = 1 ']'
-+ changed_single_component=glibc
-++ get_current_git glibc_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/glibc_rev
-+ first_bad=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-++ get_baseline_git glibc_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/glibc_rev
-+ last_good=980450f12685326729d63ff72e93a996113bf073
-+ local res
-+ res=0
-+ wait 2260105
-+ git -C glibc rev-parse --verify HEAD
-+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
-+ set -euf -o pipefail +x
-+ single_commit_p glibc
-+ set -euf -o pipefail
-+ local c=glibc
-+ local base_rev cur_rev sha1
-++ get_baseline_git glibc_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/glibc_rev
-+ base_rev=980450f12685326729d63ff72e93a996113bf073
-++ get_current_git glibc_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/glibc_rev
-+ cur_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-++ git -C glibc rev-parse '61bac1a9d2ab80ebcbc51484722e6ea43414bec7^@'
-+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 41560a9312ce0ec7203480eef8f865076bff9edb = 980450f12685326729d63ff72e93a996113bf073 ']'
-+ return 1
-+ change_kind=single_component
# Debug traces :
++ '[' 0 = 0 ']'
++ change_kind=no_change
++ changed_single_component=
+ echo '# Debug traces :'
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
-+ for c in "${changed_components[@]}"
-++ get_baseline_git glibc_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/glibc_rev
-+ base_rev=980450f12685326729d63ff72e93a996113bf073
-++ get_current_git glibc_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/glibc_rev
-+ cur_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-++ git -C glibc rev-list --count 980450f12685326729d63ff72e93a996113bf073..61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+ c_commits=4
-# rev for glibc : 980450f12685326729d63ff72e93a996113bf073..61bac1a9d2ab80ebcbc51484722e6ea43414bec7 (4 commits)
-
-+ echo '# rev for glibc : 980450f12685326729d63ff72e93a996113bf073..61bac1a9d2ab80ebcbc51484722e6ea43414bec7 (4 commits)'
+# change_kind=no_change :
++ echo '# change_kind=no_change : '
+ echo ''
+
+ setup_stages_to_run
+ '[' ignore = onregression ']'
+ '[' ignore = precommit ']'
@@ -176,13 +115,13 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' no_change '!=' single_commit ']'
+ return
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 2260129
++ wait 1219185
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
+ calculate_results_date
+ set -euf -o pipefail
@@ -197,8 +136,8 @@
++ assert_with_msg 'ERROR: No glibc in current git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ git -C glibc show --no-patch --pretty=%ct 980450f12685326729d63ff72e93a996113bf073
-+ base_d=1703061948
+++ git -C glibc show --no-patch --pretty=%ct 61bac1a9d2ab80ebcbc51484722e6ea43414bec7
++ base_d=1703085273
++ get_current_component_date glibc
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc in current git' '[' -f artifacts/git/glibc_rev ']'
@@ -206,9 +145,9 @@
+++ cat artifacts/git/glibc_rev
++ git -C glibc show --no-patch --pretty=%ct 61bac1a9d2ab80ebcbc51484722e6ea43414bec7
+ cur_d=1703085273
-+ '[' x1703061948 '!=' x ']'
++ '[' x1703085273 '!=' x ']'
+ '[' x1703085273 = x ']'
-+ '[' 1703085273 -lt 1703061948 ']'
++ '[' 1703085273 -lt 1703085273 ']'
+ '[' x1703085273 = x ']'
+ '[' 1703085273 -gt 0 ']'
+ results_date=1703085273
@@ -217,27 +156,27 @@
++ get_baseline_manifest '{rr[results_date]}'
++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
++ set +x
-+ base_d=1703035827
-+ '[' 1703035827 '!=' '' ']'
-+ assert '[' 1703085273 -ge 1703035827 ']'
++ base_d=1703060550
++ '[' 1703060550 '!=' '' ']'
++ assert '[' 1703085273 -ge 1703060550 ']'
+ set -euf -o pipefail +x
-+ '[' 1703085273 -gt 1703035827 ']'
-+ results_date=1703060550
-+ rr[results_date]=1703060550
++ '[' 1703085273 -gt 1703060550 ']'
++ results_date=1703072911
++ rr[results_date]=1703072911
+ cat
+ manifest_out
+ cat
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_component '!=' xsingle_commit ']'
++ '[' xno_change '!=' xsingle_commit ']'
+ return
+ post_interesting_commits full
+ set -euf -o pipefail
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=full
-+ '[' single_component '!=' single_commit ']'
++ '[' no_change '!=' single_commit ']'
+ return
+ true
+ generate_jira_dir
@@ -248,7 +187,7 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_component '!=' xsingle_commit ']'
+++ '[' xno_change '!=' xsingle_commit ']'
++ return 0
+ icommit_entry=
+ '[' '' '!=' '' ']'
@@ -266,10 +205,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 2260206
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231220 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 2260207
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231220 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1219262
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231221 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231221 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1219263
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -292,9 +231,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -302,125 +241,16 @@
+ set -euf -o pipefail
+ print_mail_recipients
+ set -euf -o pipefail
-+ local c=glibc
-+ '[' glibc = '' ']'
-+ local -A emails
-+ emails["tcwg-validation@linaro.org"]=bcc
-+ emails["author"]=cc
-+ emails["committer"]=to
-+ case "$ci_project/$ci_config:$c" in
-+ emails["linaro-toolchain@lists.linaro.org"]=cc_postcommit
-+ local c email base_rev cur_rev
-++ get_baseline_git glibc_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/glibc_rev
-+ base_rev=980450f12685326729d63ff72e93a996113bf073
-++ get_current_git glibc_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/glibc_rev
-+ cur_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+ read -r email
-++ git -C glibc log --pretty=%ae 980450f12685326729d63ff72e93a996113bf073..61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ local precommit_postcommit=postcommit
++ local c=
+ '[' '' = '' ']'
-++ get_baseline_git glibc_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/glibc_rev
-+ base_rev=980450f12685326729d63ff72e93a996113bf073
-++ get_current_git glibc_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/glibc_rev
-+ cur_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+ read -r email
-++ git -C glibc log --pretty=%ce 980450f12685326729d63ff72e93a996113bf073..61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ unset 'emails[author]' 'emails[committer]'
-+ local type
-+ recipients=()
-+ local -a recipients
-+ for email in "${!emails[@]}"
-+ type=to
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$email")
-+ for email in "${!emails[@]}"
-+ type=cc_postcommit
-+ case "$precommit_postcommit:$type" in
-+ type=cc
-+ case "$type" in
-+ recipients+=("$type:$email")
-+ for email in "${!emails[@]}"
-+ type=to
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$email")
-+ for email in "${!emails[@]}"
-+ type=bcc
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$type:$email")
-+ IFS=,
-+ echo hjl.tools@gmail.com,cc:linaro-toolchain@lists.linaro.org,fweimer@redhat.com,bcc:tcwg-validation@linaro.org
++ echo bcc:tcwg-validation@linaro.org
++ return 0
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_component = no_change ']'
-++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=980450f12685326729d63ff72e93a996113bf073
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+++ git -C glibc rev-list --count 980450f12685326729d63ff72e93a996113bf073..61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-++ c_commits=4
-++ new_commits=4
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '4 commits in glibc'
-++ '[' --oneline = --oneline ']'
+++ '[' no_change = no_change ']'
+++ echo 'baseline build'
++ return 0
++ gnu_print_result --oneline
++ false
@@ -429,10 +259,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 2260263
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231220 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 2260264
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231220 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1219285
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231221 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231221 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1219286
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -451,7 +281,7 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_check master-arm
++ local project=tcwg_glibc_check
@@ -474,25 +304,25 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo arm
-+ echo '[Linaro-TCWG-CI]' '4 commits in glibc: PASS on arm'
++ echo '[Linaro-TCWG-CI]' 'baseline build: PASS on arm'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/768/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/artifact/artifacts
+ local key=
-+ '[' single_component = single_commit ']'
++ '[' no_change = single_commit ']'
+ cat
+ '[' '' '!=' '' ']'
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_check master-arm
++ local project=tcwg_glibc_check
@@ -515,57 +345,8 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_component = no_change ']'
-++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=980450f12685326729d63ff72e93a996113bf073
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+++ git -C glibc rev-list --count 980450f12685326729d63ff72e93a996113bf073..61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-++ c_commits=4
-++ new_commits=4
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '4 commits in glibc'
-++ '[' --short = --oneline ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=980450f12685326729d63ff72e93a996113bf073
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+++ git -C glibc rev-list --count 980450f12685326729d63ff72e93a996113bf073..61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-++ c_commits=4
-++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline 980450f12685326729d63ff72e93a996113bf073..61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-++ '[' 4 -gt 5 ']'
-++ '[' '' '!=' '' ']'
+++ '[' no_change = no_change ']'
+++ echo 'baseline build'
++ return 0
++ gnu_print_result --short
++ false
@@ -574,10 +355,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 2260328
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231220 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 2260329
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231220 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1219326
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231221 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231221 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1219327
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -608,30 +389,30 @@
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/artifact/artifacts/sumfiles/xfails.xfail
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_check master-arm
++ local project=tcwg_glibc_check
@@ -649,11 +430,11 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_check master-arm'
-+ '[' single_component '!=' single_commit ']'
++ '[' no_change '!=' single_commit ']'
+ return
+ true
+ generate_jenkins_html_files
-+ wait 2260372
++ wait 1219370
+ set -euf -o pipefail
# generate_jenkins_html_files
... Skipping
@@ -861,6 +642,14 @@
++ echo -n '<a href="./06-build_abe-check_glibc/flaky.xfail">./06-build_abe-check_glibc/flaky.xfail</a>'
+ echo '<li><a href="./06-build_abe-check_glibc/flaky.xfail">./06-build_abe-check_glibc/flaky.xfail</a>'
+ read -r cur_file
+++ print_readme_link html ./06-build_abe-check_glibc/make-glibc.log.xz
+++ set -euf -o pipefail
+++ local text_type=html
+++ local msg=./06-build_abe-check_glibc/make-glibc.log.xz
+++ case $text_type in
+++ echo -n '<a href="./06-build_abe-check_glibc/make-glibc.log.xz">./06-build_abe-check_glibc/make-glibc.log.xz</a>'
++ echo '<li><a href="./06-build_abe-check_glibc/make-glibc.log.xz">./06-build_abe-check_glibc/make-glibc.log.xz</a>'
++ read -r cur_file
++ print_readme_link html ./07-check_regression/baseline.xfail
++ set -euf -o pipefail
++ local text_type=html
@@ -1230,6 +1019,14 @@
++ echo -n ./06-build_abe-check_glibc/flaky.xfail
+ echo '- ./06-build_abe-check_glibc/flaky.xfail'
+ read -r cur_file
+++ print_readme_link txt ./06-build_abe-check_glibc/make-glibc.log.xz
+++ set -euf -o pipefail
+++ local text_type=txt
+++ local msg=./06-build_abe-check_glibc/make-glibc.log.xz
+++ case $text_type in
+++ echo -n ./06-build_abe-check_glibc/make-glibc.log.xz
++ echo '- ./06-build_abe-check_glibc/make-glibc.log.xz'
++ read -r cur_file
++ print_readme_link txt ./07-check_regression/baseline.xfail
++ set -euf -o pipefail
++ local text_type=txt
@@ -1416,44 +1213,44 @@
+ generate_dashboard_squad
+ local results_date
# generate_dashboard_squad
-... Skipping
-# post_dashboard_squad
-... Skipping
+ echo '# generate_dashboard_squad'
+ false
+... Skipping
+ echo '... Skipping'
+ return
+# post_dashboard_squad
+... Skipping
+ post_dashboard_squad
+ echo '# post_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 2260574
++ wait 1219576
+ set -euf -o pipefail
-# generate_lnt_report
+ local results_date
+ echo '# generate_lnt_report'
+# generate_lnt_report
+ true
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/lnt-utils.sh
++ declare is_first_lnt_entry
++ get_current_manifest '{rr[results_date]}'
++ get_manifest artifacts/manifest.sh '{rr[results_date]}'
++ set +x
-+ results_date=1703060550
-++ date '+%Y-%m-%d %H:%M:%S' --date @1703060550
-+ results_date='2023-12-20 08:22:30'
++ results_date=1703072911
+++ date '+%Y-%m-%d %H:%M:%S' --date @1703072911
++ results_date='2023-12-20 11:48:31'
+ local jira_key=-
+ '[' -f artifacts/notify/jira/key ']'
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/ tcwg_glibc_check master-arm '2023-12-20 08:22:30' - artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/ tcwg_glibc_check master-arm '2023-12-20 11:48:31' - artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/
+ local ci_project=tcwg_glibc_check
+ local ci_config=master-arm
-+ local 'results_date=2023-12-20 08:22:30'
++ local 'results_date=2023-12-20 11:48:31'
+ local jira_key=-
+ local sumfiles_dir=artifacts/sumfiles
+ local output_file=artifacts/notify/lnt_report.json
@@ -1464,16 +1261,16 @@
+ local lnt_testsuite=tcwg_glibc_check
+ local machine_name=master-arm
+ local build_number
-++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/
-+ build_number=769
+++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/
++ build_number=770
+ set +x
+ false
+ true
+ release_testresults_files
# release_testresults_files
+ echo '# release_testresults_files'
-+ '[' -d artifacts/jenkins ']'
... Done
++ '[' -d artifacts/jenkins ']'
+ '[' -f artifacts/testresults/testresults-mail-recipients.txt ']'
+ echo '... Done'
+ post_to_jira
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 8d4fe9e..bd0c826 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -9,9 +9,9 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
+# setup_notify_environment
+ setup_notify_environment
+ echo '# setup_notify_environment'
-# setup_notify_environment
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_project]}'
@@ -26,26 +26,26 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/768/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/768/'
-# Using dir : base-artifacts
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/'
+ echo '# Using dir : base-artifacts'
+# Using dir : base-artifacts
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/770/'
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/769/'
+
+ echo '# Using dir : artifacts'
+ echo ''
-
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+ case "$notify" in
+ declare -Ag pw
-# check_source_changes
+ '[' ignore = precommit ']'
+# check_source_changes
+ check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
@@ -77,78 +77,17 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x61bac1a9d2ab80ebcbc51484722e6ea43414bec7 '!=' x980450f12685326729d63ff72e93a996113bf073 ']'
-++ echo -ne glibc
-++ delim=' '
+++ '[' x61bac1a9d2ab80ebcbc51484722e6ea43414bec7 '!=' x61bac1a9d2ab80ebcbc51484722e6ea43414bec7 ']'
++ echo
+ local c base_rev cur_rev c_commits
-+ '[' 1 = 0 ']'
-+ '[' 1 = 1 ']'
-+ changed_single_component=glibc
-++ get_current_git glibc_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/glibc_rev
-+ first_bad=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-++ get_baseline_git glibc_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/glibc_rev
-+ last_good=980450f12685326729d63ff72e93a996113bf073
-+ local res
-+ res=0
-+ wait 2259992
-+ git -C glibc rev-parse --verify HEAD
-+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
-+ set -euf -o pipefail +x
-+ single_commit_p glibc
-+ set -euf -o pipefail
-+ local c=glibc
-+ local base_rev cur_rev sha1
-++ get_baseline_git glibc_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/glibc_rev
-+ base_rev=980450f12685326729d63ff72e93a996113bf073
-++ get_current_git glibc_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/glibc_rev
-+ cur_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-++ git -C glibc rev-parse '61bac1a9d2ab80ebcbc51484722e6ea43414bec7^@'
-+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 41560a9312ce0ec7203480eef8f865076bff9edb = 980450f12685326729d63ff72e93a996113bf073 ']'
-+ return 1
-+ change_kind=single_component
++ '[' 0 = 0 ']'
# Debug traces :
-+ echo '# Debug traces :'
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
-+ for c in "${changed_components[@]}"
-++ get_baseline_git glibc_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/glibc_rev
-+ base_rev=980450f12685326729d63ff72e93a996113bf073
-++ get_current_git glibc_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/glibc_rev
-+ cur_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-++ git -C glibc rev-list --count 980450f12685326729d63ff72e93a996113bf073..61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+ c_commits=4
-# rev for glibc : 980450f12685326729d63ff72e93a996113bf073..61bac1a9d2ab80ebcbc51484722e6ea43414bec7 (4 commits)
+# change_kind=no_change :
-+ echo '# rev for glibc : 980450f12685326729d63ff72e93a996113bf073..61bac1a9d2ab80ebcbc51484722e6ea43414bec7 (4 commits)'
++ change_kind=no_change
++ changed_single_component=
++ echo '# Debug traces :'
++ echo '# change_kind=no_change : '
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -176,7 +115,7 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' no_change '!=' single_commit ']'
+ return
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 9045072..a1de9a1 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#769"
+build_name="#770"
docker_opts=(--distro
default
--arch
armhf
--node
-tcwg-jade-05
+tcwg-jade-06
--security
--cap-add=SYS_ADMIN\ --security-opt\ apparmor=unconfined )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#769-glibc"
+build_name="#770-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#769-glibc-R0"
+build_name="#770-glibc-R0"